	{% include "admin/header.html" %}
	{% load static %}
	<div class="col-md-10">
		
		<div class="row">
			<div class="page-header bootstrap-admin-content-title">
				<h1>Kirim Laporan Pertanggungjawaban</h1>

				<a href="{% url 'admin.program' %}" class="action">
					<button class="btn btn-sm btn-default">
						<i class="glyphicon glyphicon-chevron-left"></i>
						Back
					</button>
				</a>
			</div>
		</div>

		<div class="row">
			<div class="panel panel-default bootstrap-admin-no-table-panel">
				<div class="panel-heading">
					<div class="text-muted bootstrap-admin-box-title">Laporan LPJ</div>					

				</div>
				<div class="bootstrap-admin-panel-content bootstrap-admin-no-table-panel-content collapse in">

		<div class="admin-content">
			<div class="newprogram">
				<div class="container" style="width:100%">					
					<form action="" name="myform" class="form-horizontal" role="form" method="post" enctype="multipart/form-data">{% csrf_token %}

						<div class="form-group">
					    	<label for="" class="col-sm-2 control-label"></label>
					    	<div class="col-sm-10">
				   {% if sukses or gagal %}
						<div class="alert alert-success alert-dismissible" role="alert">
						  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Sukses mengirim email ke <strong>{{ sukses }} </strong> Donatur.</div>

						<div class="alert alert-danger alert-dismissible" role="alert">
						<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Gagal mengirim email ke <strong>{{ gagal }} </strong> Donatur. 
						{% if  gagal > 0 %} Pastikan alamat email telah terisi dengan benar! {% endif %}</div>
					{% endif %}
					    	</div>
					  	</div>

						<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Proyek</label>
					    	<div class="col-sm-10">
							    <input type="text" class="form-control" name="nama" id="" placeholder="Nama Donatur" value="{{ program.nama }}" readonly>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Subjek</label>
					    	<div class="col-sm-10">
							    <input type="text" class="form-control" name="subjek" id="" placeholder="Subjek" value="{{ subjek }}" >
					    	</div>

					  	</div>

					  	<div class="form-group">
					  		
					    	<label for="" class="col-sm-2 control-label">Kirim Ke</label>
					    	<div class="col-sm-10">
							    <div class="radio">
							      <label><input type="radio" id="hide" name="kirim" value="1" checked>Semua Donatur</label>
							    </div>
							    <div class="radio">
							      <label><input type="radio" id="show" name="kirim" value="2">Pilih Donatur</label>
							    </div>
							    <p class="help-block"><i style="font-size:13px">Donatur hanya terkait dengan proyek <strong>{{ program.nama }}</strong>.</i></p>
					    	</div>
					  	</div>

					  	<div class="form-group" id="alamat">
					    	<label for="" class="col-sm-2 control-label"></label>
					    	<div class="col-sm-10">
					    		<textarea readonly style="min-height:5px" id="alamat_email" name="alamat_email" class="form-control" row="1" required></textarea>
					    		<br>
							    <select class="form-control" name="email" id="emailselect" multiple>
							    	{% for d in donatur %}
							    	<option value="{{ prg.id }}"> {{ d.email }} </option>
							    	{% endfor %}
							    </select>
							    <p class="help-block">Tekan Ctrl/Shift untuk memilih lebih dari satu</p>
							    <!-- <br>
							    <a class="btn btn-primary" id="emailselect_btn">Tambah</a> -->
					    	</div>
					  	</div>

					  	<div class="form-group">
					  		<label for="" class="col-sm-2 control-label"></label>
					    	<div class="col-sm-10">
					    		<p><strong>Lainnya</strong><i style="font-size:13px"> (gunakan ; sebagai pemisah alamat email)</i></p>
							    <input type="text" data-fv-emailaddress-multiple="true" class="form-control" name="email_lainnya" pattern="(;)*[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}((;)+[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4})*(;)*$" name="subjek" id="" placeholder="email1@example.com; email2@example.com">
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Pesan</label>
					    	<div class="col-sm-10">
					      		<textarea id="msg" style="height:200px" name="pesan" class="form-control" row="8" required>{{ message }}</textarea>
					      		<p class="help-block"><i style="font-size:13px">'<strong>{{ nama_donatur }}</strong>' akan berubah menjadi nama dari donatur ketika email diterima.</i></p>
					    	</div>

					  	</div>

					  	<div class="form-group">
					    	<label for="inputPassword3" class="col-sm-2 control-label">Lampiran LPJ</label>
					    	<div class="col-sm-10 div-gambar">
					    		<input type="file" class="form-control" name="file" id="" placeholder="Lampiran LPJ" required>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<div class="col-sm-offset-2 col-sm-10">
					      		<button type="submit" class="btn btn-primary">Kirim</button>
					    	</div>
					  	</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	</div>
	</div>
	</div>
	</div>
	</div>
		{% include "admin/footer.html" %}
</body>
<script type="text/javascript">
tinymce.init({
    selector: "#msg",
    plugins: [
        "advlist autolink lists link image charmap print preview anchor",
        "searchreplace visualblocks code fullscreen",
        "insertdatetime media table contextmenu paste"
    ],
    toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image"

 });
</script>
<script>
$(document).ready(function(){
	$("#alamat").hide();
  $("#hide").click(function(){
    $("#alamat").hide();
  });
  $("#show").click(function(){
    $("#alamat").show();
  });
  $("#emailselect").click(function() {


    var str = "";

    $( "#emailselect option:selected" ).each(function() {
	    str = str + $( this ).text() + ";";	
    });
	
	$("#alamat_email").val(str);    

  });
});
</script>
<!-- <script language="javascript" type="text/javascript">
// function addtext() {
// 	var newtext = document.myform.email.value;
// 	document.myform.alamat_email.value += newtext;
// }
</script> -->
</html>